-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

import "Tonic.TonicBars.SettingsManager";
import "Tonic.Utils.TonicBarWrapper";
import "Tonic.TonicBars.BarManager";
import "Tonic.TonicBars.Menu.MainMenu";
import "Tonic.TonicBars.Bar";
import "Tonic.TonicBars.QuickslotList";
import "Tonic.TonicBars.Events.EventManager";
import "Tonic.TonicBars.Enumerations";
import "Tonic.TonicBars.Localization.Localizer";

function GetPlayer()
	player = Turbine.Gameplay.LocalPlayer.GetInstance();
	playerClass = player:GetClass();
	realClassSet = true;
end
if ( pcall( GetPlayer ) == false ) then
	player = Turbine.Gameplay.LocalPlayer();
end
	
maitre_d = nil;
theSettingsManager = SettingsManager();

if ( playerClass == nil ) then
	local settings = theSettingsManager:GetSettings();
	if ( settings.playerClass == nil ) then
		settings.playerClass = 162;
	end
	playerClass = settings.playerClass;
end

-- Load Events
eventManager = Tonic.TonicBars.Events.EventManager();

-- Load Localization Settings.
theLocalizer = Tonic.TonicBars.Localization.Localizer();
theLocalizer:LoadLocalizedEvents();
LOCALESTRINGS = theLocalizer:GetStrings();

eventManager:EffectWatchSetup(); -- Start watching for effects.

maitre_d = BarManager( theSettingsManager );
menu = Tonic.TonicBars.Menu.MainMenu( theSettingsManager, maitre_d );

wrapper = Tonic.Utils.TonicBarWrapper( menu );

Turbine.Plugin.Unload = function(self, sender, args)
	for key, value in pairs (maitre_d.GetBars()) do
		Tonic.TonicBars.Bar.ClearQuickslots( value );
	end
end
