-- Created by NuclearTonic
-- If reusing this code, please keep the name of the original author listed
-- in respect for borrowing said authors code.
-- RESPECT!

import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Tonic.Utils.Class";
import "Tonic.UI.CheckBox";
import "Tonic.UI.ComboBox";
import "Tonic.UI.AutoListBox";
import "Tonic.UI.MenuUtils";

AboutMenu = class( Tonic.UI.AutoListBox );

function AboutMenu:Constructor()
	Tonic.UI.AutoListBox.Constructor( self );
	
	self.utils = Tonic.UI.MenuUtils();
	self:AddSettings();
	self:AddCommandsBar();
	self.settingsBox:SetVisible( false );
	self:AddItem( self.settingsBox );
end

function AboutMenu:AddSettings()
	self.settingsBox = self.utils:AddAutoListBox( self, Turbine.UI.Orientation.Vertical, 0, 0, 0, 0 );

	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu[1], 300, 100 );
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu[2], 300, 100 );
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu[3], 300, 100 );
	self.extSbNum = self.utils:AddLabelBox( self.settingsBox, LOCALESTRINGS.AboutMenu[4] .. THEVERSION .. LOCALESTRINGS.AboutMenu[5], 300, 50 );
end

function AboutMenu:AddCommandsBar()
end

function AboutMenu:DisplaySettings( showQuickslots )
	self.settingsBox:SetVisible( showQuickslots );
end

function ExtensionsMenu:GetSelection()
	return nil;
end